#!/bin/bash

su postgres -c 'psql template1 -c "create user checksysreport"'
su postgres -c 'psql template1 -c "create database checksysreportdb"'
su postgres -c 'psql template1 -c "grant all privileges on database checksysreportdb to checksysreport"'
su checksysreport -c 'psql checksysreportdb -f /usr/share/checksysreport/base.sql'
su checksysreport -c 'psql checksysreportdb -f /usr/share/checksysreport/bz.sql'
su postgres -c "psql template1 -c \"create role support with nosuperuser nocreatedb nocreaterole login unencrypted password 'lamepassword'\""
su postgres -c 'psql checksysreportdb -c "grant select,insert on changelogs to support"'
su postgres -c 'psql checksysreportdb -c "grant select,insert on files  to support"'
su postgres -c 'psql checksysreportdb -c "grant select on channels to support"'
su postgres -c 'psql checksysreportdb -c "grant select on packages to support"'
su postgres -c 'psql checksysreportdb -c "grant select on packages_per_channels to support"'
su postgres -c 'psql checksysreportdb -c "grant select on erratas to support"'
su postgres -c 'psql checksysreportdb -c "grant select on advisory_per_packages to support"'
su postgres -c 'psql checksysreportdb -c "grant select on bugzillas to support"'
su postgres -c 'psql checksysreportdb -c "grant select on bz_per_advisory to support"'
su postgres -c 'psql checksysreportdb -c "grant select on unsupported_channels to support"'
su postgres -c "psql template1 -c \"create role apache with nosuperuser nocreatedb nocreaterole login\""
su postgres -c 'psql checksysreportdb -c "grant select,insert on spool to apache"'
su postgres -c 'psql checksysreportdb -c "grant update on spool_id_seq to apache"'


